> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trustblock.run/llms.txt
> Use this file to discover all available pages before exploring further.

> Trustblock API route to get upload report authorization

# Get upload report authorization



## OpenAPI

````yaml GET /v1/auditor/upload-report-authorization
openapi: 3.0.0
info:
  title: TrustBlock Audit API
  version: 1.0.0
servers:
  - url: https://api.trustblock.run
security: []
paths:
  /v1/auditor/upload-report-authorization:
    get:
      summary: Get upload report authorization
      operationId: getUploadReportAuthorization
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  extra:
                    type: object
                    properties:
                      requestId:
                        type: string
                  url:
                    type: string
                required:
                  - extra
                  - url
                  - apiKey
                  - pinataMetadata
                  - pinataOptions
        '403':
          description: Authentication failed
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````